Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QLibraryInfo.LibraryLocation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QLibraryInfo.LibraryLocation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLibraryInfo

    public static final class QLibraryInfo.LibraryLocation

extends java.lang.Enum
implements QtEnumerator

This enum type is used to specify a specific location specifier.

See also:
  `location()`.

See Also:
  Serialized Form

Field Summary
`static QLibraryInfo.LibraryLocation` | `BinariesPath` The location of installed Qt binaries (tools and applications).
`static QLibraryInfo.LibraryLocation` | `DataPath` The location of general Qt data.
`static QLibraryInfo.LibraryLocation` | `DemosPath` The location for demos upon install.
`static QLibraryInfo.LibraryLocation` | `DocumentationPath` The location for documentation upon install.
`static QLibraryInfo.LibraryLocation` | `ExamplesPath` The location for examples upon install.
`static QLibraryInfo.LibraryLocation` | `HeadersPath` The location for all headers.
`static QLibraryInfo.LibraryLocation` | `LibrariesPath` The location of installed librarires.
`static QLibraryInfo.LibraryLocation` | `PluginsPath` The location of installed Qt plugins.
`static QLibraryInfo.LibraryLocation` | `PrefixPath` The default prefix for all paths.
`static QLibraryInfo.LibraryLocation` | `SettingsPath` The location for Qt settings.
`static QLibraryInfo.LibraryLocation` | `TranslationsPath` The location of translation information for Qt strings.

Method Summary
`static QLibraryInfo.LibraryLocation` | `resolve(int value)` Returns the QLibraryInfo$LibraryLocation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLibraryInfo.LibraryLocation` | `valueOf(java.lang.String name)`
`static QLibraryInfo.LibraryLocation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PrefixPath

    public static final QLibraryInfo.LibraryLocation PrefixPath

  The default prefix for all paths.

### DocumentationPath

    public static final QLibraryInfo.LibraryLocation DocumentationPath

  The location for documentation upon install.

### HeadersPath

    public static final QLibraryInfo.LibraryLocation HeadersPath

  The location for all headers.

### LibrariesPath

    public static final QLibraryInfo.LibraryLocation LibrariesPath

  The location of installed librarires.

### BinariesPath

    public static final QLibraryInfo.LibraryLocation BinariesPath

  The location of installed Qt binaries (tools and applications).

### PluginsPath

    public static final QLibraryInfo.LibraryLocation PluginsPath

  The location of installed Qt plugins.

### DataPath

    public static final QLibraryInfo.LibraryLocation DataPath

  The location of general Qt data.

### TranslationsPath

    public static final QLibraryInfo.LibraryLocation TranslationsPath

  The location of translation information for Qt strings.

### SettingsPath

    public static final QLibraryInfo.LibraryLocation SettingsPath

  The location for Qt settings.

### DemosPath

    public static final QLibraryInfo.LibraryLocation DemosPath

  The location for demos upon install.

### ExamplesPath

    public static final QLibraryInfo.LibraryLocation ExamplesPath

  The location for examples upon install.

Method Detail

### values

    public static QLibraryInfo.LibraryLocation[] values()

### valueOf

    public static QLibraryInfo.LibraryLocation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLibraryInfo.LibraryLocation resolve(int value)

  Returns the QLibraryInfo$LibraryLocation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD